| rtcpsu Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XRtcPsu_DT Struct Reference
Overview

This typedef contains DateTime format structure. More...

## Data Fields
u32 | Year
| Year. More...
u32 | Month
| Month. More...
u32 | Day
| Day. More...
u32 | Hour
| Hour. More...
u32 | Min
| Minute. More...
u32 | Sec
| Second. More...
u32 | WeekDay
| Week Day. More...

## Detailed Description

This typedef contains DateTime format structure.

## Field Documentation

u32 XRtcPsu_DT::Day

Day.

Referenced by RtcPsuAlarmIntrExample(), RtcPsuAlarmPolledExample(), RtcPsuPeriodicAlarmIntrExample(), RtcPsuSetCalibrationExample(), RtcPsuSetTimeExample(), XRtcPsu_DateTimeToSec(), and XRtcPsu_SecToDateTime().

u32 XRtcPsu_DT::Hour

Hour.

Referenced by RtcPsuAlarmIntrExample(), RtcPsuAlarmPolledExample(), RtcPsuPeriodicAlarmIntrExample(), RtcPsuSetCalibrationExample(), RtcPsuSetTimeExample(), XRtcPsu_DateTimeToSec(), and XRtcPsu_SecToDateTime().

u32 XRtcPsu_DT::Min

Minute.

Referenced by RtcPsuAlarmIntrExample(), RtcPsuAlarmPolledExample(), RtcPsuPeriodicAlarmIntrExample(), RtcPsuSetCalibrationExample(), RtcPsuSetTimeExample(), XRtcPsu_DateTimeToSec(), and XRtcPsu_SecToDateTime().

u32 XRtcPsu_DT::Month

Month.

Referenced by RtcPsuAlarmIntrExample(), RtcPsuAlarmPolledExample(), RtcPsuPeriodicAlarmIntrExample(), RtcPsuSetCalibrationExample(), RtcPsuSetTimeExample(), XRtcPsu_DateTimeToSec(), and XRtcPsu_SecToDateTime().

u32 XRtcPsu_DT::Sec

Second.

Referenced by RtcPsuAlarmIntrExample(), RtcPsuAlarmPolledExample(), RtcPsuPeriodicAlarmIntrExample(), RtcPsuSetCalibrationExample(), RtcPsuSetTimeExample(), XRtcPsu_DateTimeToSec(), and XRtcPsu_SecToDateTime().

u32 XRtcPsu_DT::WeekDay

Week Day.

Referenced by RtcPsuAlarmIntrExample(), RtcPsuAlarmPolledExample(), RtcPsuPeriodicAlarmIntrExample(), RtcPsuSetTimeExample(), and XRtcPsu_SecToDateTime().

u32 XRtcPsu_DT::Year

Year.

Referenced by RtcPsuAlarmIntrExample(), RtcPsuAlarmPolledExample(), RtcPsuPeriodicAlarmIntrExample(), RtcPsuSetCalibrationExample(), RtcPsuSetTimeExample(), XRtcPsu_DateTimeToSec(), and XRtcPsu_SecToDateTime().